
export const AxisLeft = ({ yScale, innerHeight, tickFormat }) =>
  yScale.ticks().map(tickValue => (
    <g className="tick" key={tickValue} > 
      <line
        //x1={0} 
        y1={yScale(tickValue)}  
        x2={innerWidth} 
        y2={yScale(tickValue)} 
        stroke="black" />
      <text 
        style={{ textAnchor: 'middle' }} 
        dy=".71em" 
        y={yScale(tickValue)}>
        {tickFormat(tickValue)}
      </text>
    </g>
  ));





/*
export const AxisLeft = ({ yScale }) =>
  yScale.domain().map(tickValue => (
    <g className="tick">
      <text
        key={tickValue}
        style={{ textAnchor: 'end' }}
        x={-3}
        dy=".32em"
        y={yScale(tickValue) + yScale.bandwidth() / 2}
      >
        {tickValue}
      </text>
    </g>
  ));
*/