export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  tooltipFormat,
}) =>
  data.map((d) => (
    <rect
      className="mark"
      key={xValue(d)}
      x={xScale(xValue(d))}
      y={yScale(yValue(d))}
      //y={yScale(yValue(d))}
      //something wrong with this. Makes blank rect
      //instead of using the bars to fill in.
      //height={yScale(yValue(d))}
      //v 115 should be able to be replaced by bottomSpace
      height={innerHeight-yScale(yValue(d))-115}
      //width={xScale.bandwidth()}
      width={33}
    >
      <title>{tooltipFormat(yValue(d))}</title> 
    </rect>
  ));
