import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
	'https://gist.githubusercontent.com/sucotton9/827d16af1fa4c41d03bff4f9fdc18ed2/raw/4756a9ce7a264262d24e832f33105f183e9f9513/Migrant%2520dataviz%25201960-2019';
export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d[2019] = +d[2019];
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};